Create an enrollment API key

Base URL
https://{kibana_url}
  • POST /api/fleet/enrollment_api_keys
  • POST /s/{space_id}/api/fleet/enrollment_api_keys
Auth

Create an enrollment API key for a given agent policy.

Required authorization

Privileges fleet-agents-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

expiration string · max length: 20

The expiration time for the enrollment token, expressed as a duration (for example, 30d, 24h, 90m). By default, enrollment tokens never expire.

name string · min length: 0
policy_id string · min length: 0 required

Responses

Successful response

application/json
action enum required
Values: created
item object required
active boolean required

When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

api_key string required

The enrollment API key (token) used for enrolling Elastic Agents.

api_key_id string required

The ID of the API key in the Security API.

created_at string required
expire_at string

The expiration date of the enrollment token as an ISO 8601 date string. Absent when the token never expires.

hidden boolean
id string required
name string

The name of the enrollment API key.

policy_id string

The ID of the agent policy the Elastic Agent will be enrolled in.

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}